<?php
if (!defined('MODULE_FILE')) {
	Header("Location: ../../index.php");
	exit;
}
$module_name = basename(dirname(__FILE__));
get_lang($module_name);

if (stristr($REQUEST_URI,"mainfile")) {
    Header("Location: index.php?name=$module_name&file=article&sid=$sid");
} elseif (!isset($sid) && !isset($tid)) {
    Header("Location: index.php");
}
if (isset($sid)) $sid = intval($sid); 
if (isset($tid)) $tid = intval($tid);
$result = $db->sql_query("SELECT s.catid, s.aid, s.time, s.title, s.hometext, s.bodytext, s.topic, s.informant, s.notes, s.acomm, s.haspoll, s.pollID, s.score, s.ratings, c.title, t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_stories_cat AS c on (s.catid=c.catid) LEFT JOIN ".$prefix."_topics AS t on (s.topic=t.topicid) WHERE sid='$sid'");
if ($numrows = $db->sql_numrows($result) != 1) {
    Header("Location: index.php");
    exit;
}
list($catid, $aid, $time, $title, $hometext, $bodytext, $topic, $informant, $notes, $acomm, $haspoll, $pollID, $score, $ratings, $ctitle, $topicid, $topicname, $topicimage, $topictext) = $db->sql_fetchrow($result);

$catid = intval($catid);
$aid = stripslashes($aid);
$title = stripslashes(check_html($title, "nohtml"));
$hometext = stripslashes($hometext);
$bodytext = stripslashes($bodytext);
$topic = intval($topic);
$informant = stripslashes($informant);
$notes = stripslashes($notes);
$acomm = intval($acomm);
$haspoll = intval($haspoll);
$pollID = intval($pollID);
$score = intval($score);
$ratings = intval($ratings);
$title_cat = stripslashes(check_html($ctitle, "nohtml"));
$topicid = intval($topicid);
$topicname = stripslashes($topicname);
$topicimage = stripslashes($topicimage);
$topictext = stripslashes(check_html($topictext, "nohtml"));

if ($aid == "") {
    Header("Location: index.php?name=$module_name");
}

$db->sql_query("UPDATE ".$prefix."_stories SET counter=counter+1 where sid='$sid'");
if ($catid != 0) {
	$pagetitle = "$defis "._NEWS." $defis $title_cat $defis $title";
} else {
	$pagetitle = "$defis "._NEWS." $defis $title";
}
include("header.php");
formatTimestamp($time);
if ($notes != "") {
    $notes = "<b>"._NOTES."</b><br><br>$notes";
} else {
    $notes = "";
}
if ($bodytext == "") {
    $bodytext = "$hometext<br><br>$notes";
} else {
    $bodytext = "$hometext<br><br>$bodytext<br><br>$notes";
}
if ($catid != 0) {
    $title = "<a href=\"index.php?name=$module_name&file=categories&op=newindex&catid=$catid\"><font class=\"storycat\">$title_cat</a> - </font><font class=\"storytitle\">$title</font>";
} else {
	$title = "<font class=\"storytitle\">$title</font>";
}

echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td valign=\"top\" width=\"100%\">\n";
themearticle($aid, $informant, $datetime, $title, $bodytext, $topic, $topicname, $topicimage, $topictext);
echo "</td></tr><tr><td valign=\"top\">\n";

OpenTable();
echo "<center>[ <a href=\"index.php?name=$module_name&file=print&sid=$sid\" title=\""._PRINTER."\">"._PRINTER."</a> | <a href=\"index.php?name=$module_name&file=friend&op=FriendSend&sid=$sid\" title=\""._FRIEND."\">"._FRIEND."</a>";
if (is_admin($admin)) {
    echo " | <a href=\"".$admin_file.".php?op=adminStory\">"._ADD."</a> | <a href=\"".$admin_file.".php?op=EditStory&sid=$sid\">"._EDIT."</a> | <a href=\"".$admin_file.".php?op=RemoveStory&sid=$sid\">"._DELETE."</a> ]</center>";
} else {
	echo " ]</center>";
}
CloseTable();

if ($multilingual == 1) {
    $querylang = "AND (blanguage='$currentlang' OR blanguage='')";
} else {
    $querylang = "";
}

if ($ratings != 0) {
    $rate = substr($score / $ratings, 0, 4);
    $r_image = round($rate);
    $the_image = "<img src=\"images/articles/stars-$r_image.gif\" border=\"0\" alt=\""._AVERAGESCORE.": $rate\" title=\""._AVERAGESCORE.": $rate\">";
} else {
    $rate = 0;
    $the_image = "";
}
OpenTable();
echo "<center><font class=\"title\">"._RATEARTICLE."</center></font></center><br>";
echo "<table align=\"center\"><tr><td>"._AVERAGESCORE.": </td><td>$the_image</td><td>"._VOTES.":</td><td>$ratings</td></tr></table>";
echo "<hr><table width=\"100%\" align=\"center\" border=\"0\"><tr><td><form action=\"index.php?name=$module_name\" method=\"post\">";
echo "<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
echo "<input type=\"hidden\" name=\"op\" value=\"rate_article\">";
echo "<input type=\"radio\" name=\"score\" value=\"5\"> <img src=\"images/articles/stars-5.gif\" border=\"0\" alt=\""._EXCELLENT."\" title=\""._EXCELLENT."\"></td>";
echo "<td><input type=\"radio\" name=\"score\" value=\"4\"> <img src=\"images/articles/stars-4.gif\" border=\"0\" alt=\""._VERYGOOD."\" title=\""._VERYGOOD."\"></td>";
echo "<td><input type=\"radio\" name=\"score\" value=\"3\"> <img src=\"images/articles/stars-3.gif\" border=\"0\" alt=\""._GOOD."\" title=\""._GOOD."\"></td>";
echo "<td><input type=\"radio\" name=\"score\" value=\"2\"> <img src=\"images/articles/stars-2.gif\" border=\"0\" alt=\""._REGULAR."\" title=\""._REGULAR."\"></td>";
echo "<td><input type=\"radio\" name=\"score\" value=\"1\"> <img src=\"images/articles/stars-1.gif\" border=\"0\" alt=\""._BAD."\" title=\""._BAD."\"></td>";
echo "<td align=\"right\"><input type=\"submit\" value=\""._CASTMYVOTE."\"></td></tr></form></table>";
CloseTable();
cookiedecode($user);
include("modules/$module_name/associates.php");
if ($acomm == 0 AND $articlecomm == 1) {
	include("modules/News/comments.php");
}
echo "</td></tr></table>";
include("footer.php");
?>