<?php
if (!defined('MODULE_FILE')) {
	Header("Location: ../../index.php");
	exit;
}
$module_name = basename(dirname(__FILE__));
get_lang($module_name);

function theindex($catid) {
    global $storyhome, $topicname, $topicimage, $topictext, $datetime, $user, $cookie, $prefix, $multilingual, $currentlang, $db, $articlecomm, $module_name, $pagenum;
    if ($multilingual == 1) {
	    $querylang = "AND (alanguage='$currentlang' OR alanguage='')";
	} else {
	    $querylang = "";
    }
    include("header.php");
    if (isset($cookie[3])) {
		$storynum = $cookie[3];
    } else {
		$storynum = $storyhome;
    }
    $catid = intval($catid);
	if ($pagenum == "") { $pagenum = 1; }
    $offset = ($pagenum-1) * $storynum;
	$offset = intval($offset);
	$storynum = intval($storynum);
	$sql = "SELECT sid, s.catid, s.aid, s.title, s.time, s.hometext, s.bodytext, s.comments, s.counter, s.topic, s.informant, s.notes, s.acomm, s.score, s.ratings, c.title, t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_stories_cat AS c on (s.catid=c.catid) LEFT JOIN ".$prefix."_topics AS t on (s.topic=t.topicid) WHERE s.catid='$catid' AND s.time <= NOW() $querylang ORDER BY s.time DESC LIMIT $offset, $storynum";
	$result = $db->sql_query($sql);
	while (list($s_sid , $catid, $aid, $title, $time, $hometext, $bodytext, $comments, $counter, $topic, $informant, $notes, $acomm, $score, $ratings, $ctitle, $topicid, $topicname, $topicimage, $topictext) = $db->sql_fetchrow($result)) {
		$n_catid = intval($catid);
		if ($catid > 0) {
			$cattitle = $ctitle;
		}
		formatTimestamp($time);
        $c_count = $comments;
		$title_cat = stripslashes(check_html($ctitle, "nohtml"));
		$story_link = "<a href=\"index.php?name=News&file=article&sid=$s_sid\" title=\"$title_cat - $title\">";
		$title = "<a href=\"index.php?name=News&file=categories&op=newindex&catid=$catid\" title=\"$title_cat\"><font class=\"storycat\">$title_cat</a> - </font><a href=\"index.php?name=News&file=article&sid=$s_sid\" title=\"$title\"><font class=\"storytitle\">$title</font></a>";

        if ($articlecomm == 1 AND $acomm == 0) {
			if ($c_count == 0) {
				$m_com = "| $story_link"._COMMENTSQ."</a>";
			} elseif ($c_count == 1) {
				$m_com = "| $story_link"._COMMENT.": $c_count</a>";
			} elseif ($c_count > 1) {
				$m_com = "| $story_link"._COMMENTS.": $c_count</a>";
			}
        }
		if ($aid == $informant) {
			$posted = "<a href=\"index.php?name=Your_Account&op=userinfo&username=$aid\">$aid</a>";
		} elseif ($informant != "" ) {
			$posted = "<a href=\"index.php?name=Your_Account&op=userinfo&username=$informant\">$informant</a>";
		} else {
			$posted = "$anonymous";
		}
		$morelink = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td bgcolor=\"$bgcolor2\" align=\"left\">$story_link<b>"._READMORE."</b></a> | "._PDATE.": $datetime | "._POSTEDBY.": $posted | "._READS.": $counter $m_com <td bgcolor=\"$bgcolor2\" align=\"right\"><a href=\"index.php?name=News&file=print&sid=$s_sid\"><img src=\"images/blocks/Topics.gif\" border=\"0\" alt=\""._PRINTER."\" title=\""._PRINTER."\" align=\"center\"></a>&nbsp;&nbsp;<a href=\"index.php?name=News&file=friend&op=FriendSend&sid=$s_sid\"><img src=\"images/blocks/Feedback.gif\" border=\"0\" alt=\""._FRIEND."\" title=\""._FRIEND."\" align=\"center\"></a></td></tr></table>";
        if ($score != 0) {
            $rated = substr($score / $ratings, 0, 4);
        } else {
            $rated = 0;
        }
        $morelink = str_replace(" |  | ", " | ", $morelink);
        themeindex($aid, $informant, $time, $title, $counter, $topic, $hometext, $notes, $morelink, $topicname, $topicimage, $topictext);
    }
	$row = $db->sql_fetchrow($db->sql_query("SELECT Count(catid) AS csid FROM ".$prefix."_stories AS s WHERE s.catid='$n_catid' AND s.time <= NOW() $querylang"));
    $numstories = $row['csid'];
	$numpages = ceil($numstories / $storynum);
    if ($numpages > 1) {
		OpenTable();
		echo "<center><b>"._OVERALL." $numstories "._STORIES." $numpages "._PAGE_S." $storynum "._PERPAGE."</b><br>" ;
		if ($pagenum > 1) {
			$prevpage = $pagenum - 1 ;
			echo "<a href=\"index.php?name=News&file=categories&op=newindex&catid=$n_catid&pagenum=$prevpage\">[&lt;&lt;]&nbsp;</a>";
        }
        echo "[ " ;
        for ($i=1; $i < $numpages+1; $i++) {
            if ($i == $pagenum) {
                echo "$i";
            } else {
				echo "<a href=\"index.php?name=News&file=categories&op=newindex&catid=$n_catid&pagenum=$i\"><b>$i</b></a>";
            }
            if ($i < $numpages) { echo " | "; } else { echo " ]"; }
        }
        if ($pagenum < $numpages) {
            $nextpage = $pagenum + 1 ;
			echo "<a href=\"index.php?name=News&file=categories&op=newindex&catid=$n_catid&pagenum=$nextpage\">&nbsp;[&gt;&gt;]</a>";
        }
        echo "</center>" ;
        CloseTable();
    }
    include("footer.php");
}

switch ($op) {
	case "newindex":
	if ($catid == 0 OR $catid == "") {
	    Header("Location: index.php?name=$module_name");
	}
	theindex($catid);
    break;

    default:
    Header("Location: index.php?name=$module_name");
	break;
}
?>