<?php
if (!defined('MODULE_FILE')) {
	Header("Location: ../../index.php");
	exit;
}
$module_name = basename(dirname(__FILE__));
get_lang($module_name);

function eror_poll($eror) {
    $eror = intval($eror);
    if($eror == 1) { $eror_text = ""._SEROR1.""; }
    if($eror == 2) { $eror_text = ""._SEROR2.""; }
    if($eror == 3) { $eror_text = ""._SEROR3.""; }
    if($eror == 4) { $eror_text = ""._SEROR4.""; }
    include ('header.php');
    title(""._SURVEYS_LOGO."");
	OpenTable();
	echo "<center>$eror_text<p>"._GOBACK."</center>";
	CloseTable();
    include ('footer.php');
}

function all_poll() {
    global $prefix, $db, $multilingual, $currentlang, $pagenum, $bgcolor2, $module_name, $pagetitle, $defis;
    if ($multilingual == 1) {
		$querylang = "WHERE planguage='$currentlang'";
    } else {
		$querylang = "";
    }
    if ($pagenum == "") {
		$pagenum = 1 ;
    }
    $pollnum = 50;
    $offset = ($pagenum-1) * $pollnum;
	$pagetitle = "$defis "._SURVEYS."";
    include ("header.php");
    title(""._SURVEYS_LOGO."");
    OpenTable();
	$offset = intval($offset);
	$pollnum = intval($pollnum);
    $sql = "SELECT poll_id, UNIX_TIMESTAMP(poll_date) as formatted, poll_title, pool_vote, pool_comments, acomm   FROM ".$prefix."_survey $querylang ORDER BY poll_id DESC LIMIT $offset, $pollnum";
    $result = $db->sql_query($sql);
    $num = $db->sql_numrows($result);
    if ($num > 0) {
		$cn = 1;
		echo "<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\" width=\"100%\">";
		while ($row = $db->sql_fetchrow($result)) {
			$p_data = date("d.m.Y", $row["formatted"]);
			if ($cn == 2) { $trcolor = "bgcolor=\"$bgcolor2\""; } else { $trcolor = ""; }
			echo "<tr $trcolor><td>$p_data</td><td><a href=\"index.php?name=Voting&op=poll_show&poll_id=$row[poll_id]\" title=\"$row[poll_title]\"><img src=\"images/blocks/Voting.gif\" border=\"0\" alt=\"$row[poll_title]\"></a></td><td><a href=\"index.php?name=Voting&op=poll_show&poll_id=$row[poll_id]\" title=\"$row[poll_title]\">$row[poll_title]</a></td><td>"._SVOTES." ($row[pool_vote])";
			if ($row[acomm] == 0) { echo " "._SCOMM." ($row[pool_comments])"; }
			echo "</td></tr>";
			$cn++; if($cn == 3) { $cn = 1; }
		}
		echo "</table>";
    } else {
		echo "<center><font class=\"option\">"._NOSURVEY."</font></center>";
    }
    CloseTable();
    list($numstories) = $db->sql_fetchrow($db->sql_query("SELECT Count(poll_id) AS cpoll_id FROM ".$prefix."_survey AS c $querylang"));
	$numpages = ceil($numstories / $pollnum);
	if ($numpages > 1) {
        OpenTable();
        echo "<center>" ;
        if ($pagenum > 1) {
            $prevpage = $pagenum - 1 ;
			$leftarrow = "[&lt;&lt;]&nbsp;";
			echo "<a href=\"index.php?name=Voting&pagenum=$prevpage\">$leftarrow</a>";
        }
		echo "[ ";
        for ($i=1; $i < $numpages+1; $i++) {
            if ($i == $pagenum) {
                echo "$i";
            } else {
				$pagelink = 10;
				if (($i > $pagenum) AND ($i < $pagenum+$pagelink) OR ($i < $pagenum) AND ($i > $pagenum-$pagelink)) {
					echo " <a href=\"index.php?name=$module_name&pagenum=$i\"><b>$i</b></a> ";
				}
				if (($i == $numpages) AND ($pagenum < $numpages-$pagelink)) {
					echo "... <a href=\"index.php?name=$module_name&pagenum=$i\">$i</a>";
				}
				if (($i == 1) AND ($pagenum > 1+$pagelink)) {
					echo "<a href=\"index.php?name=$module_name&pagenum=$i\">$i</a> ...";
				}
            }
			if ($i < $numpages) { echo " | "; } else { echo " ]"; }
        }
        if ($pagenum < $numpages) {
            $nextpage = $pagenum + 1;
			$rightarrow = "&nbsp;[&gt;&gt;]";
			echo "<a href=\"index.php?name=$module_name&pagenum=$nextpage\">$rightarrow</a>";
		}
        echo "</center>" ;
        CloseTable();
    }
	include ('footer.php');
}

function poll_save($poll_id, $questions) {
    global $db, $prefix, $module_name;
    $poll_id = intval($poll_id);
    $questions = intval($questions);
    if ($poll_id == "") {
		eror_poll($eror = 1);
		exit;
    }
    if ($questions == "") {
		eror_poll($eror = 2);
		exit;
    }
    $poll_exist = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_survey WHERE (poll_id='$poll_id')"));
    if ($poll_exist == 0) {
		eror_poll($eror = 3);
		exit;
    }
	$ip = getenv("REMOTE_ADDR");
    $past = time() - 86400;
    $db->sql_query("DELETE FROM ".$prefix."_survey_check WHERE time < $past");
    $num_poll = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_survey_check WHERE (ip='$ip') AND (poll_id='$poll_id')"));
    if ($_COOKIE['Voting'] == $poll_id || $num_poll > 0) {
		eror_poll($eror = 4);
		exit;
    }
	setcookie("Voting", $poll_id, time() + 86400);
	$ctime = time();
    $db->sql_query("INSERT INTO ".$prefix."_survey_check (ip, time, poll_id) VALUES ('$ip', '$ctime', '$poll_id')");
    $db->sql_query("UPDATE ".$prefix."_survey SET poll_answer_".$questions."=poll_answer_".$questions."+1, pool_vote=pool_vote+1 WHERE poll_id='$poll_id'");
	update_points(8);
    Header("Location: index.php?name=$module_name&op=poll_result&poll_id=$poll_id");
}

function poll_result($poll_id) {
    global $db, $prefix, $module_name, $ThemeSel, $pollcomm, $multilingual, $currentlang, $pagetitle, $defis;
    if ($multilingual == 1) {
		$querylang = "WHERE planguage='$currentlang'";
    } else {
		$querylang = "";
    }
    $poll_id = intval($poll_id);
    if ($poll_id == "") {
		Header("Location: index.php?name=$module_name");
		exit;
    }
    $sql = "SELECT * FROM ".$prefix."_survey WHERE poll_id='$poll_id'";
    $result = $db->sql_query($sql);
    $row = $db->sql_fetchrow($result);
    $questions = explode("|", $row[poll_questions]);
    $p_summ = $row[pool_vote];
    $nm = 1;
    for($i = 0; $i<count($questions)-1; $i++) {
		$a_ques[$i] = $questions[$i];
		$a_poll[$i] = $row[poll_answer_.$nm];
		$nm++;
    }
	$m_size = getimagesize("themes/$ThemeSel/images/mainbar.gif");
	$pagetitle = "$defis "._SURVEYS." $defis $row[poll_title]";
	include ("header.php");
    title(""._SURVEYS_LOGO."");
    OpenTable();
    echo "<center><b>$row[poll_title]</b><br><br>";
    echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"80%\">";
    for ($i = 0; $i <count($questions)-1; $i++) {
		if ($p_summ > 0) {
			$proc = 100 * $a_poll[$i] / $p_summ;
			$im_w = (int)$proc - 5;
			$procent = number_format($proc, 2);
		} else {
			$im_w = 1;
			$procent = "0.00";
		}
		echo "<tr><td width=\"100%\">$a_ques[$i] ($a_poll[$i])</td></tr>";
		echo "<tr><td><img src=\"themes/$ThemeSel/images/leftbar.gif\" alt=\"".$a_ques[$i]." - ".$procent."%\" title=\"".$a_ques[$i]." - ".$procent."%\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" height=\"$m_size[1]\" width=\"".$im_w."%\" alt=\"".$a_ques[$i]." - ".$procent."%\" title=\"".$a_ques[$i]." - ".$procent."%\"><img src=\"themes/$ThemeSel/images/rightbar.gif\" alt=\"".$a_ques[$i]." - ".$procent."%\" title=\"".$a_ques[$i]." - ".$procent."%\"></td><td>".$procent."%</td></tr><tr><td height=\"5\"></td></tr>";
    }
    echo "</table><br><br>"._TOTALVOTES.": $p_summ";
    $num = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_survey $querylang"));
    if ($num > 1) {
		echo "<br><br>[ <a href=\"index.php?name=Voting\" title=\""._MOREPOLLS."\">"._MOREPOLLS."</a> ]";
    }
    echo "</center>";
    if ($pollcomm == 1) {
		include("modules/$module_name/comments.php");
    }
    CloseTable();
    include ('footer.php');
}

function poll_show($poll_id) {
    global $db, $prefix, $module_name, $ThemeSel, $pollcomm, $multilingual, $currentlang, $pagetitle, $defis;
    $result = $db->sql_query("SELECT poll_id, poll_title, poll_questions, pool_vote, pool_comments, acomm FROM ".$prefix."_survey WHERE poll_id='$poll_id'");
    list($poll_id, $poll_title, $poll_questions, $pool_vote, $pool_comments, $acomm)= $db->sql_fetchrow($result);
    $poll_id = intval($poll_id);
    $acomm = intval($acomm);
	$pagetitle = "$defis "._SURVEYS." $defis $poll_title";
    include ("header.php");
    title(""._SURVEYS_LOGO."");
    OpenTable();
    if ($poll_id == 0 || $poll_id == "") {
		Header("Location: index.php?name=Voting");
    } else {
		echo "<center><form action=\"".$themepath."index.php?name=Voting\" method=\"post\">";
		echo "<input type=\"hidden\" name=\"poll_id\" value=\"$poll_id\">";
		echo "<input type=\"hidden\" name=\"op\" value=\"poll_save\">";
		echo "<font class=\"content\"><b>$poll_title</b></font><br><br>\n";
		echo "<table border=\"0\">";
		$questions = explode("|", $poll_questions);

		for ($i = 0; $i <count($questions)-1; $i++) {
			$n=$i+1;
			echo "<tr><td valign=\"top\"><input type=\"radio\" name=\"questions\" value=\"".$n."\"></td><td><font class=\"content\">$questions[$i]</font></td></tr>\n";	
		}
		echo "</table><br><center><font class=\"content\"><input type=\"submit\" value=\""._VOTE."\"></font><br>";
		echo "<br><font class=\"content\">[ <a href=\"".$themepath."index.php?name=Voting&op=poll_result&poll_id=$poll_id\" title=\""._RESULTS."\">"._RESULTS."</a> | <a href=\"".$themepath."index.php?name=Voting\" title=\""._POLLS."\">"._POLLS."</a> ]<br>";

		if ($acomm ==0) {
			echo "<br>"._VOTES.": $pool_vote<br>"._COMMENTSQ.": $pool_comments";
		} else {
			echo "<br>"._VOTES.": $pool_vote";
		}
		echo "</font></center></form>";
	}
    CloseTable();
    include ('footer.php');
}

switch($op) {

    case"poll_result":
    poll_result($poll_id);
    break;
    
    case"poll_save":
    poll_save($poll_id, $questions);
    break;
    
    case"poll_result":
    poll_result($poll_id);
    break;
    
    case "poll_show":
    poll_show($poll_id);
    break;

    default:
    all_poll();
    break;

}
?>