<?php
if (!defined('MODULE_FILE')) {
	Header("Location: ../../index.php");
	exit;
}
$module_name = basename(dirname(__FILE__));
get_lang($module_name);
$userpage = 1;
include("modules/$module_name/navbar.php");

function userCheck($username, $user_email, $rulescheck) {
    global $stop, $user_prefix, $db;
	if ($rulescheck != "1") $stop = "<center>"._ERROR_RULES."</center><br>";
	if ((!$user_email) || ($user_email=="") || (!eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$user_email))) $stop = "<center>"._ERRORINVEMAIL."</center><br>";
    if (strrpos($user_email,' ') > 0) $stop = "<center>"._ERROREMAILSPACES."</center>";
    if ((!$username) || ($username=="") || (ereg("[^a-zA-Z--0-9_-]",$username))) $stop = "<center>"._ERRORINVNICK."</center><br>";
    if (strlen($username) > 25) $stop = "<center>"._NICK2LONG."</center>";
    if (eregi("^((root)|(adm)|(linux)|(webmaster)|(admin)|(god)|(administrator)|(administrador)|(nobody)|(anonymous)|(anonimo)|(annimo)|(operator)|(JackFromWales4u2))$",$username)) $stop = "<center>"._NAMERESERVED."</center>";
    if (strrpos($username,' ') > 0) $stop = "<center>"._NICKNOSPACES."</center>";
    if ($db->sql_numrows($db->sql_query("SELECT username FROM ".$user_prefix."_users WHERE username='$username'")) > 0) $stop = "<center>"._NICKTAKEN."</center><br>";
    if ($db->sql_numrows($db->sql_query("SELECT username FROM ".$user_prefix."_users_temp WHERE username='$username'")) > 0) $stop = "<center>"._NICKTAKEN."</center><br>";
    if ($db->sql_numrows($db->sql_query("SELECT user_email FROM ".$user_prefix."_users WHERE user_email='$user_email'")) > 0) $stop = "<center>"._EMAILREGISTERED."</center><br>";
    if ($db->sql_numrows($db->sql_query("SELECT user_email FROM ".$user_prefix."_users_temp WHERE user_email='$user_email'")) > 0) $stop = "<center>"._EMAILREGISTERED."</center><br>";
    return($stop);
}

function makePass() {
    $cons = "bcdfghjklmnpqrstvwxyz";
    $vocs = "aeiou";
    for ($x=0; $x < 6; $x++) {
        mt_srand ((double) microtime() * 1000000);
        $con[$x] = substr($cons, mt_rand(0, strlen($cons)-1), 1);
        $voc[$x] = substr($vocs, mt_rand(0, strlen($vocs)-1), 1);
    }
    mt_srand((double)microtime()*1000000);
    $num1 = mt_rand(0, 9);
    $num2 = mt_rand(0, 9);
    $makepass = $con[0] . $voc[0] .$con[2] . $num1 . $num2 . $con[3] . $voc[3] . $con[4];
    return($makepass);
}

function confirmNewUser($username, $user_email, $rulescheck, $user_password, $user_password2, $random_num, $gfx_check) {
    global $stop, $EditedMessage, $sitename, $module_name, $minpass, $no_mail_reg;
    include("header.php");
    include("config/config.php");
    filter_text($username);
    $username = $EditedMessage;
    $user_viewemail = "0";
    userCheck($username, $user_email, $rulescheck);
    $user_password = htmlspecialchars(stripslashes($user_password));
    $user_password2 = htmlspecialchars(stripslashes($user_password2));
    if (!$stop) {
        $datekey = date("F j");
        $rcode = hexdec(md5($_SERVER[HTTP_USER_AGENT] . $sitekey . $_POST[random_num] . $datekey));
        $code = substr($rcode, 2, 6);
        if (extension_loaded("gd") AND $code != $gfx_check AND ($gfx_chk == 3 OR $gfx_chk == 4 OR $gfx_chk == 6 OR $gfx_chk == 7)) {
            title(""._NEWUSERERROR."");
            OpenTable();
            echo "<center>"._SECCODEINCOR."<br><br>"._GOBACK."</center>";
            CloseTable();
            include("footer.php");
            die();
        }
        if ($user_password == "" AND $user_password2 == "") {
            $user_password = makepass();
        } elseif ($user_password != $user_password2) {
            title(""._NEWUSERERROR."");
            OpenTable();
            echo "<center>"._PASSDIFFERENT."<br><br>"._GOBACK."</center>";
            CloseTable();
            include("footer.php");
            die();
        } elseif ($user_password == $user_password2 AND strlen($user_password) < $minpass) {
            title(""._NEWUSERERROR."");
            OpenTable();
            echo "<center>"._YOUPASSMUSTBE.": $minpass "._CHARLONG."<br><br>"._GOBACK."</center>";
            CloseTable();
            include("footer.php");
            die();
        }
        title(""._USERFINALSTEP."");
        OpenTable();
        echo "<center>$username, "._USERCHECKDATA."";
		if ($no_mail_reg == 0) {
			echo " "._YOUWILLRECEIVE."";
		}
		echo "</center><hr>"
		."<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\" align=\"center\">"
		."<tr><td>"._UUSERNAME.":</td><td>$username</td></tr>"
		."<tr><td>"._EMAIL.":</td><td>$user_email</td></tr></table><br>";
		echo "<center><form action=\"index.php?name=$module_name\" method=\"post\">"
		.""._GOBACK." <input type=\"hidden\" name=\"random_num\" value=\"$random_num\">"
		."<input type=\"hidden\" name=\"gfx_check\" value=\"$gfx_check\">"
		."<input type=\"hidden\" name=\"username\" value=\"$username\">"
		."<input type=\"hidden\" name=\"user_email\" value=\"$user_email\">"
		."<input type=\"hidden\" name=\"rulescheck\" value=\"$rulescheck\">"
		."<input type=\"hidden\" name=\"user_password\" value=\"$user_password\">"
		."<input type=\"hidden\" name=\"op\" value=\"finishNewUser\">"
		."<input type=\"submit\" value=\""._FINISH."\"></form></center>";
        CloseTable();
    } else {
		title(""._NEWUSERERROR."");
        OpenTable();
        echo "<center>$stop<br>"._GOBACK."</center>";
        CloseTable();
    }
    include("footer.php");
}

function finishNewUser($username, $user_email, $rulescheck, $user_password, $random_num, $gfx_check) {
    global $stop, $EditedMessage, $adminmail, $sitename, $Default_Theme, $user_prefix, $db, $storyhome, $module_name, $homeurl, $no_mail_reg;
    include("header.php");
    include("config/config.php");
    userCheck($username, $user_email, $rulescheck);
    $user_regdate = date("M d, Y");
    $user_password = htmlspecialchars(stripslashes($user_password));
    if (!isset($stop)) {
        $datekey = date("F j");
        $rcode = hexdec(md5($_SERVER[HTTP_USER_AGENT] . $sitekey . $random_num . $datekey));
        $code = substr($rcode, 2, 6);
        if (extension_loaded("gd") AND $code != $gfx_check AND ($gfx_chk == 3 OR $gfx_chk == 4 OR $gfx_chk == 6 OR $gfx_chk == 7)) {
            Header("Location: index.php?name=$module_name");
            die();
        }
        mt_srand ((double)microtime()*1000000);
        $maxran = 1000000;
        $check_num = mt_rand(0, $maxran);
        $check_num = md5($check_num);
        $time = time();
        $finishlink = "$homeurl/index.php?name=$module_name&op=activate&username=$username&check_num=$check_num";
        $new_password = md5($user_password);
        $new_password = htmlspecialchars(stripslashes($new_password));
        $username = check_html($username, nohtml);
        $user_email = check_html($user_email, nohtml);
        $result = $db->sql_query("INSERT INTO ".$user_prefix."_users_temp (user_id, username, user_email, user_password, user_regdate, check_num, time) VALUES (NULL, '$username', '$user_email', '$new_password', '$user_regdate', '$check_num', '$time')");
        if (!$result) {
            echo ""._ERROR."<br>";
        } elseif ($no_mail_reg == 1) {
            title(""._ACCOUNTCREATED."");
			OpenTable(); 
			echo "<center>"._TOFINISHUSER."<hr><br>[ <a href=\"$finishlink\">"._ACTIVATIONSUB."</a> ]</center><br>";
			echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\" align=\"center\">"
			."<tr><td colspan=\"2\"><font class=\"option\">"._FOLLOWINGMEM."</font></td></tr>"
			."<tr><td>"._UNICKNAME.":</td><td>$username</td></tr>"
			."<tr><td>"._UPASSWORD.":</td><td>$user_password</td></tr></table>";
			CloseTable();
		} else {
            $message = ""._WELCOMETO_AC." $sitename!\n\n"._YOUUSEDEMAIL.": $user_email "._TOREGISTER." $sitename.\n\n"._TOFINISHUSER."\n\n$finishlink\n\n"._FOLLOWINGMEM."\n\n"._UNICKNAME.": $username\n"._UPASSWORD.": $user_password";
            $subject = "$sitename - "._ACTIVATIONSUB."";
			$mailheaders = "Content-Type: text/plain; charset="._CHARSET."\n";
			$mailheaders .= "X-Priority: 3\n";
            $mailheaders .= "From: $sitename <$adminmail>\n";
            $mailheaders .= "Reply-To: $adminmail\n\n";
			mail($user_email, $subject, $message, $mailheaders);
            title(""._ACCOUNTCREATED."");
            OpenTable();
            echo "<center>"._YOUAREREGISTERED."<br><br>"._FINISHUSERCONF."<br><br>"._THANKSUSER." $sitename!</center>";
            CloseTable();
        }
    } else {
		title(""._NEWUSERERROR."");
        OpenTable();
        echo "<center>$stop<br>"._GOBACK."</center>";
        CloseTable();
    }
    include("footer.php");
}

function activate($username, $check_num) {
    global $db, $user_prefix, $module_name, $language;
    $past = time()-86400;
    $db->sql_query("DELETE FROM ".$user_prefix."_users_temp WHERE time < '$past'");
    $sql = "SELECT * FROM ".$user_prefix."_users_temp WHERE username='$username' AND check_num='$check_num'";
    $result = $db->sql_query($sql);
    if ($db->sql_numrows($result) == 1) {
        $row = $db->sql_fetchrow($result);
        $user_password = htmlspecialchars(stripslashes($row[user_password]));
        if ($check_num == $row[check_num]) {
            $db->sql_query("INSERT INTO ".$user_prefix."_users (user_id, username, user_email, user_password, user_avatar, user_avatar_type, user_regdate, user_lang) VALUES (NULL, '$row[username]', '$row[user_email]', '$user_password', '00.gif', '3', '$row[user_regdate]', '$language')");
            $db->sql_query("DELETE FROM ".$user_prefix."_users_temp WHERE username='$username' AND check_num='$check_num'");
            include("header.php");
            title(""._ACTIVATIONYES."");
            OpenTable();
            echo "<center>"._ACTMSG."</center>";
            CloseTable();
            include("footer.php");
            die();
        } else {
            include("header.php");
            title(""._ACTIVATIONERROR."");
            OpenTable();
            echo "<center>"._ACTERROR1."</center>";
            CloseTable();
            include("footer.php");
            die();
        }
    } else {
        include("header.php");
        title(""._ACTIVATIONERROR."");
        OpenTable();
        echo "<center>"._ACTERROR2."</center>";
        CloseTable();
        include("footer.php");
        die();
    }

}

function userinfo($username, $bypass=0, $hid=0, $url=0) {
    global $articlecomm, $user, $cookie, $sitename, $prefix, $user_prefix, $db, $admin, $broadcast_msg, $my_headlines, $module_name, $defis, $pagetitle;
	$pagetitle = "$defis "._THISISYOURPAGE."";
    $username = htmlspecialchars(substr($username, 0, 25));
    $sql2 = "SELECT * FROM ".$user_prefix."_users WHERE username='$username'";
    $result2 = $db->sql_query($sql2);
    $num = $db->sql_numrows($result2);
    $userinfo = $db->sql_fetchrow($result2);
    if(!$bypass) cookiedecode($user);
    include("header.php");
	if ($username != "") {
		if ((strtolower($username) == strtolower($cookie[1])) AND ($userinfo[user_password] == $cookie[2])) {
			OpenTable();
			echo "<center><font class=\"title\"><b>"._THISISYOURPAGE."</b></font></center>";
			CloseTable();
			OpenTable();
			nav('1');
			CloseTable();
		} else {
			$row = $db->sql_fetchrow($db->sql_query("SELECT user_id FROM ".$user_prefix."_users WHERE username='$username'"));
			$subject = stripslashes(check_html($row['user_id'], "nohtml"));
			Header("Location: index.php?name=Forums&file=profile&mode=viewprofile&u=$subject");
		}
	}
    if ($my_headlines == 1 AND ($username == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) {
		OpenTable();
		echo "<center><font class=\"option\"><b>"._MYHEADLINES."</b></font><br><br>"
		."<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\" align=\"center\">"
		."<form action=\"index.php?name=$module_name\" method=\"post\">"
		."<input type=\"hidden\" name=\"op\" value=\"userinfo\">"
		."<input type=\"hidden\" name=\"username\" value=\"$username\">"
		."<input type=\"hidden\" name=\"bypass\" value=\"$bypass\">"
		."<input type=\"hidden\" name=\"url\" value=\"0\">"
		."<tr><td>"._SELECTASITE.":</td><td><select name=\"hid\" onChange=\"submit()\" style=\"width=300px\">\n"
		."<option value=\"0\">"._SELECTASITE2."</option>";
		$headl = $db->sql_query("SELECT hid, sitename FROM ".$prefix."_headlines ORDER BY sitename");
		while(list($rhid, $rsitename) = $db->sql_fetchrow($headl)) {
			$rhid = intval($rhid);
			if ($hid == $rhid ) {
				$sel = "selected";
			} else {
				$sel = "";
			}
			echo "<option value=\"$rhid\" $sel>$rsitename</option>\n";
		}
		echo "</select></td></tr></form>"
		."<form action=\"index.php?name=$module_name\" method=\"post\">"
		."<input type=\"hidden\" name=\"op\" value=\"userinfo\">"
		."<input type=\"hidden\" name=\"username\" value=\"$username\">"
		."<input type=\"hidden\" name=\"bypass\" value=\"$bypass\">"
		."<input type=\"hidden\" name=\"hid\" value=\"0\">"
		."<tr><td>"._ORTYPEURL.":</td><td>"
		."<input type=\"text\" name=\"url\" value=\"http://\" maxlength=\"200\" size=\"40\" style=\"width=300px\">"
		." <input type=\"submit\" value=\""._GO."\"></td></tr></form></table>";
		if ($hid != 0 OR ($hid == 0 AND $url != "0" AND $url != "http://") AND $url != "") {
			if ($hid != 0) {
				$hid = intval($hid);
				$result = $db->sql_query("SELECT sitename, headlinesurl FROM ".$prefix."_headlines WHERE hid='$hid'");
				list($nsitename, $url) = $db->sql_fetchrow($result);
				$title = stripslashes(check_html($nsitename, "nohtml"));
				$siteurl = eregi_replace("http://", "", $url);
				$siteurl = explode("/", $siteurl);
			} else {
				if (!ereg("http://", $url)) {
					$url = "http://$url";
				}
				$siteurl = eregi_replace("http://", "", $url);
				$siteurl = explode("/", $siteurl);
				$title = "http://$siteurl[0]";
			}
			$rdf = parse_url($url);
			$fp = @fsockopen($rdf['host'], 80, $errno, $errstr, 15);
			if (!$fp) {
				$content = "<tr><td align=\"center\">"._RSSPROBLEM."</td><tr>";
			}
			if ($fp) {
				fputs($fp, "GET " . $rdf['path'] . "?" . $rdf['query'] . " HTTP/1.0\r\n");
				fputs($fp, "HOST: " . $rdf['host'] . "\r\n\r\n");
				$string = "";
				while(!feof($fp)) {
					$pagetext = fgets($fp,300);
					$string .= chop($pagetext);
				}
				fputs($fp,"Connection: close\r\n\r\n");
				fclose($fp);
				$items = explode("</item>",$string);
				$rss_limit = end(explode("=", $url));
				if (eregi("[^0-9]", $rss_limit) OR $rss_limit == "") $rss_limit = "10";
				for ($i=0; $i<$rss_limit; $i++) {
					$link_rss = ereg_replace(".*<link>","",$items[$i]);
					$link_rss = ereg_replace("</link>.*","",$link_rss);
					$link_rss = stripslashes(check_html($link_rss, "nohtml"));
					$title_rss = ereg_replace(".*<title>","",$items[$i]);
					$title_rss = ereg_replace("</title>.*","",$title_rss);
					$title_rss = stripslashes(check_html($title_rss, "nohtml"));
					$description_rss = ereg_replace(".*<description>","",$items[$i]);
					$description_rss = ereg_replace("</description>.*","",$description_rss);
					$description_rss = stripslashes(check_html($description_rss, "nohtml"));
					$pubdate_rss = ereg_replace(".*<pubDate>","",$items[$i]);
					$pubdate_rss = ereg_replace("</pubDate>.*","",$pubdate_rss);
					$pubdate_rss = stripslashes(check_html($pubdate_rss, "nohtml"));
					if ($items[$i] == "") {
						$content = "<tr><td align=\"center\">"._RSSPROBLEM."</td><tr>";
					} else {
						if (strcmp($link_rss, $title_rss) AND $items[$i] != "") {
							$content .= "<tr><td><img src=\"images/arrow.gif\" border=\"0\"> $pubdate_rss - <a href=\"$link_rss\" target=\"_blank\" title=\"$title_rss\">$title_rss</a></td></tr><tr><td>$description_rss</td><tr>\n";
						}
					}
				}
			}
			OpenTable();
			echo "<center><font class=\"option\"><b>"._HEADLINESFROM."</b></font> <a href=\"http://$siteurl[0]\" target=\"_blank\" title=\"$title\"><b>$title</b></a></center><br>";
			echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" align=\"center\">$content</table>";
			CloseTable();
		}
		CloseTable();
	}
    if ($broadcast_msg == 1 AND ($username == $cookie[1]) AND ($userinfo[user_password] == $cookie[2])) {
        OpenTable();
        echo "<center><font class=\"option\"><b>"._BROADCAST."</b></font><br>"
		."<form action=\"index.php?name=$module_name\" method=\"post\">"
		."<input type=\"hidden\" name=\"who\" value=\"$username\">"
		."<input type=\"hidden\" name=\"op\" value=\"broadcast\">"
		."<input type=\"text\" name=\"the_message\" maxlength=\"255\" size=\"65\" style=\"width=400px\"> <input type=\"submit\" value=\""._SEND."\"></form>"
		."<hr>"._BROADCASTTEXT."</center>";
        CloseTable();
    }
    if ($articlecomm == 1) {
        OpenTable();
        echo "<center><font class=\"option\"><b>"._LAST10COMMENTS."</b></font></center><br>";
		echo "<table cellspacing=\"0\" cellpadding=\"1\">";
		$sql = $db->sql_query("SELECT tid, sid, date, subject FROM ".$prefix."_comments WHERE name='$userinfo[username]' ORDER BY tid DESC LIMIT 0,10");
        while(list($tid, $sid, $date, $subject) = $db->sql_fetchrow($sql)) {
			$tid = intval($tid);
			$sid = intval($sid);
			$date= stripslashes(check_html($date, "nohtml"));
			$subject = stripslashes(check_html($subject, "nohtml"));
			echo "<tr><td><img src=\"images/arrow.gif\" border=\"0\"></td><td> $date - <a href=\"index.php?name=News&file=article&mode=flat&order=0&sid=$sid#$tid\" title=\"$subject\">$subject</a></td><tr>\n";
        }
		echo "</table>";
        CloseTable();
    }
    OpenTable();
	echo "<center><font class=\"option\"><b>"._LAST10SUBMISSIONS."</b></font></center><br>";
	echo "<table cellspacing=\"0\" cellpadding=\"1\">";
    $sql = $db->sql_query("SELECT sid, title, time FROM ".$prefix."_stories WHERE informant='$userinfo[username]' ORDER BY sid DESC LIMIT 0,10");
    while(list($sid, $title, $time) = $db->sql_fetchrow($sql)) {
		$sid = intval($sid);
		$title = stripslashes(check_html($title, "nohtml"));
		$time = stripslashes(check_html($time, "nohtml"));
		echo "<tr><td><img src=\"images/arrow.gif\" border=\"0\"></td><td> $time - <a href=\"index.php?name=News&file=article&sid=$sid\" title=\"$title\">$title</a></td><tr>\n";
    }
	echo "</table>";
	CloseTable();
	include("footer.php");
}

function main($user) {
    global $stop, $module_name, $redirect, $mode, $t, $f, $gfx_chk;
    if(!is_user($user)) {
        include("header.php");
        if ($stop) {
            title(""._LOGININCOR."");
        } else {
			title(""._USERREGLOGIN."");
        }
        if (!is_user($user)) {
            OpenTable();
            mt_srand ((double)microtime()*1000000);
            $maxran = 1000000;
            $random_num = mt_rand(0, $maxran);
            echo "<form action=\"index.php?name=$module_name\" method=\"post\">\n"
			."<table border=\"0\" align=\"center\"><tr><td>\n"
			.""._NICKNAME.":</td><td><input type=\"text\" name=\"username\" size=\"10\" maxlength=\"25\"></td></tr>\n"
			."<tr><td>"._PASSWORD.":</td><td><input type=\"password\" name=\"user_password\" size=\"10\" maxlength=\"20\"></td></tr>\n";
            if (extension_loaded("gd") AND ($gfx_chk == 2 OR $gfx_chk == 4 OR $gfx_chk == 5 OR $gfx_chk == 7)) {
                echo "<tr><td>"._SECURITYCODE.":</td><td><img src='?gfx=gfx&random_num=$random_num' border='1' alt='"._SECURITYCODE."' title='"._SECURITYCODE."'></td></tr>\n"
				."<tr><td>"._TYPESECCODE.":</td><td><input type=\"text\" name=\"gfx_check\" size=\"10\" maxlength=\"6\"></td></tr>\n"
				."<input type=\"hidden\" name=\"random_num\" value=\"$random_num\">\n";
            }
            echo "<tr><td colspan=\"2\" align=\"center\"><input type=\"hidden\" name=\"redirect\" value=$redirect>\n"
			."<input type=\"hidden\" name=\"mode\" value=$mode>\n"
			."<input type=\"hidden\" name=\"f\" value=$f>\n"
			."<input type=\"hidden\" name=\"t\" value=$t>\n"
			."<input type=\"hidden\" name=\"op\" value=\"login\"><br>\n"
			."<input type=\"submit\" value=\""._USERLOGIN."\"></td></tr></form></table><br>\n"
			."<center>[ <a href=\"index.php?name=$module_name&amp;op=pass_lost\">"._PASSWORDLOST."</a> | <a href=\"index.php?name=$module_name&amp;op=new_user\">"._REGNEWUSER."</a> ]</center>\n";
            CloseTable();
        }
        include("footer.php");
    } elseif (is_user($user)) {
        global $cookie;
        cookiedecode($user);
        userinfo($cookie[1]);
    }
}

function new_user() {
    global $my_headlines, $module_name, $db, $gfx_chk;
    if (!is_user($user)) {
        mt_srand ((double)microtime()*1000000);
        $maxran = 1000000;
        $random_num = mt_rand(0, $maxran);
        include("header.php");
		title(""._REGNEWUSER."");
        OpenTable();
        echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\" align=\"center\">\n"
		."<form action=\"index.php?name=$module_name\" method=\"post\">\n"
		."<tr><td>"._NICKNAME.":</td><td colspan=\"2\"><input type=\"text\" name=\"username\" size=\"30\" maxlength=\"25\"></td></tr>\n"
		."<tr><td>"._EMAIL.":</td><td colspan=\"2\"><input type=\"text\" name=\"user_email\" size=\"30\" maxlength=\"255\"></td></tr>\n"
		."<tr><td>"._PASSWORD.":</td><td><input type=\"password\" name=\"user_password\" size=\"25\" maxlength=\"40\"></td><td><img src=\"images/info.gif\" border=\"0\" title=\""._BLANKFORAUTO."\"></td></tr>\n"
		."<tr><td>"._RETYPEPASSWORD.":</td><td><input type=\"password\" name=\"user_password2\" size=\"25\" maxlength=\"40\"></td><td><img src=\"images/info.gif\" border=\"0\" title=\""._BLANKFORAUTO."\"></td></tr>\n";
		if (extension_loaded("gd") AND ($gfx_chk == 3 OR $gfx_chk == 4 OR $gfx_chk == 6 OR $gfx_chk == 7)) {
            echo "<tr><td>"._SECURITYCODE.":</td><td colspan=\"2\"><img src='?gfx=gfx&random_num=$random_num' border='1' alt='"._SECURITYCODE."' title='"._SECURITYCODE."'></td></tr>\n"
			."<tr><td>"._TYPESECCODE.":</td><td colspan=\"2\"><input type=\"text\" name=\"gfx_check\" size=\"10\" maxlength=\"6\"></td></tr>\n"
			."<input type=\"hidden\" name=\"random_num\" value=\"$random_num\">\n";
        }
        echo "<tr><td colspan=\"3\" style=\"width=300px\"><textarea cols=\"50\" rows=\"10\">"._RULES."</textarea></td></tr>\n"
		."<tr><td colspan=\"3\" style=\"width=300px\"><input type=\"checkbox\" name=\"rulescheck\" value=\"1\"> "._RULES_OK."</td></tr>\n"
		."<tr><td colspan=\"3\" align=\"center\"><br><input type=\"hidden\" name=\"op\" value=\"confirmNewUser\">\n"
		."<input type=\"submit\" value=\""._NEWUSER."\"></td></tr></form></table><br>\n"
		."<center>[ <a href=\"index.php?name=$module_name\">"._USERLOGIN."</a> | <a href=\"index.php?name=$module_name&amp;op=pass_lost\">"._PASSWORDLOST."</a> ]</center>\n";
        CloseTable();
        include("footer.php");
    } elseif (is_user($user)) {
        global $cookie;
        cookiedecode($user);
        userinfo($cookie[1]);
    }
}

function pass_lost() {
    global $user, $module_name;
    if (!is_user($user)) {
        include("header.php");
		title(""._PASSWORDLOST."");
        OpenTable();
		echo "<center>"._NOPROBLEM."</center><hr>\n"
		."<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\" align=\"center\">\n"
		."<form action=\"index.php?name=$module_name\" method=\"post\">\n"
		."<tr><td>"._NICKNAME.":</td><td><input type=\"text\" name=\"username\" size=\"11\" maxlength=\"25\"></td></tr>\n"
		."<tr><td>"._CONFIRMATIONCODE.":</td><td><input type=\"text\" name=\"code\" size=\"11\" maxlength=\"10\"></td></tr>\n"
		."<tr><td colspan=\"2\" align=\"center\"><br><input type=\"hidden\" name=\"op\" value=\"mailpasswd\">\n"
		."<input type=\"submit\" value=\""._SENDPASSWORD."\"></td></tr></form></table><br>\n"
		."<center>[ <a href=\"index.php?name=$module_name\">"._USERLOGIN."</a> | <a href=\"index.php?name=$module_name&amp;op=new_user\">"._REGNEWUSER."</a> ]</center>\n";
        CloseTable();
        include("footer.php");
    } elseif(is_user($user)) {
        global $cookie;
        cookiedecode($user);
        userinfo($cookie[1]);
    }
}

function logout() {
    global $prefix, $db, $user, $cookie, $redirect;
    cookiedecode($user);
    $r_uid = $cookie[0];
    $r_username = $cookie[1];
    setcookie("user", false);
    $db->sql_query("DELETE FROM ".$prefix."_session WHERE uname='$r_username'");
    $db->sql_query("DELETE FROM ".$prefix."_bbsessions WHERE session_user_id='$r_uid'");
    $user = "";
    include("header.php");
    OpenTable();
    if ($redirect != "") {
        echo "<meta http-equiv=\"refresh\" content=\"0; url=index.php?name=$redirect\">";
    } else {
        echo "<meta http-equiv=\"refresh\" content=\"0; url=index.php\">";
    }
    echo "<center><font class=\"title\"><b>"._YOUARELOGGEDOUT."</b></font></center>";
    CloseTable();
    include("footer.php");
}

function mail_password($username, $code) {
    global $sitename, $adminmail, $homeurl, $user_prefix, $db, $module_name;
	$username = htmlspecialchars(substr($username, 0, 25));
    $sql = "SELECT user_email, user_password FROM ".$user_prefix."_users WHERE username='$username'";
    $result = $db->sql_query($sql);
    if($db->sql_numrows($result) == 0) {
		include("header.php");
		title(""._PASSWORDLOST."");
		OpenTable();
		echo "<center>"._SORRYNOUSERINFO."<br><br>"._GOBACK."</center>";
		CloseTable();
		include("footer.php");
    } else {
		$host_name = $_SERVER["REMOTE_ADDR"];
		$row = $db->sql_fetchrow($result);
		$user_email = htmlspecialchars($row['user_email']);
		$user_password = $row[user_password];
		$user_password = htmlspecialchars(stripslashes($user_password));
		$areyou = substr($user_password, 0, 10);
		if ($areyou==$code) {
			$newpass=makepass();
			$message = ""._USERACCOUNT." $username "._HASTHISEMAIL." "._AT." $sitename. "._AWEBUSERFROM." $host_name "._HASREQUESTED."\n\n"._YOURNEWPASSWORD." $newpass\n\n"._YOUCANCHANGE.": $homeurl/index.php?name=$module_name\n\n"._IFYOUDIDNOTASK."";
			$subject = "$sitename - "._USERPASSWORD4." $username";
			$mailheaders = "Content-Type: text/plain; charset="._CHARSET."\n";
			$mailheaders .= "X-Priority: 3\n";
			$mailheaders .= "From: $sitename <$adminmail>\n";
			$mailheaders .= "Reply-To: $adminmail\n\n";
			mail($user_email, $subject, $message, $mailheaders);
			
			$cryptpass = md5($newpass);
			$query = "UPDATE ".$user_prefix."_users SET user_password='$cryptpass' WHERE username='$username'";
			if (!$db->sql_query($query)) {
				echo ""._UPDATEFAILED."";
			}
			include("header.php");
			title(""._PASSWORDLOST."");
			OpenTable();
			echo "<center>"._PASSWORD4." $username "._MAILED."<br><br>"._GOBACK."</center>";
			CloseTable();
			include("footer.php");
		} else {
			$sql = "SELECT user_email, user_password FROM ".$user_prefix."_users WHERE username='$username'";
			$result = $db->sql_query($sql);
			if ($db->sql_numrows($result) == 0) {
				include("header.php");
				title(""._PASSWORDLOST."");
				OpenTable();
				echo "<center>"._SORRYNOUSERINFO."<br><br>"._GOBACK."</center>";
				CloseTable();
				include("footer.php");
			} else {
				$host_name = $_SERVER["REMOTE_ADDR"];
				$row = $db->sql_fetchrow($result);
				$user_email = $row[user_email];
				$user_password = $row[user_password];
				$areyou = substr($user_password, 0, 10);
				$message = ""._USERACCOUNT." $username "._HASTHISEMAIL." "._AT." $sitename. "._AWEBUSERFROM." $host_name "._CODEREQUESTED."\n\n"._YOURCODEIS." $areyou\n\n"._WITHTHISCODE."\n\n$homeurl/index.php?name=$module_name&op=pass_lost\n\n"._IFYOUDIDNOTASK2."";
				$subject = "$sitename - "._CODEFOR." $username";
				$mailheaders = "Content-Type: text/plain; charset="._CHARSET."\n";
				$mailheaders .= "X-Priority: 3\n";
				$mailheaders .= "From: $sitename <$adminmail>\n";
				$mailheaders .= "Reply-To: $adminmail\n\n";
				mail($user_email, $subject, $message, $mailheaders);
				include("header.php");
				title(""._PASSWORDLOST."");
				OpenTable();
				echo "<center>"._CODEFOR." $username "._MAILED."<br><br>"._GOBACK."</center>";
				CloseTable();
				include("footer.php");
			}
		}
	}
}

function docookie($setuid, $setusername, $setpass, $setstorynum, $setublockon, $settheme) {
    $info = base64_encode("$setuid:$setusername:$setpass:$setstorynum:$setublockon:$settheme");
    setcookie("user","$info",time()+2592000);
}

function login($username, $user_password, $redirect, $mode, $f, $t, $random_num, $gfx_check) {
    global $setinfo, $user_prefix, $db, $module_name, $pm_login, $prefix;
    $user_password = htmlspecialchars(stripslashes($user_password));
	$username = htmlspecialchars(substr($username, 0, 25));
    include("config/config.php");
    $sql = "SELECT user_password, user_id, storynum, ublockon, theme FROM ".$user_prefix."_users WHERE username='$username'";
    $result = $db->sql_query($sql);
    $setinfo = $db->sql_fetchrow($result);
    $forward = ereg_replace("redirect=", "", "$redirect");
    if (ereg("privmsg", $forward)) {
        $pm_login = "active";
    }
    if (($db->sql_numrows($result)==1) AND ($setinfo[user_id] != 1) AND ($setinfo[user_password] != "")) {
		$dbpass=$setinfo[user_password];
        $non_crypt_pass = $user_password;
		$old_crypt_pass = crypt($user_password,substr($dbpass,0,2));
        $new_pass = md5($user_password);
        if (($dbpass == $non_crypt_pass) OR ($dbpass == $old_crypt_pass)) {
            $db->sql_query("UPDATE ".$user_prefix."_users SET user_password='$new_pass' WHERE username='$username'");
            $sql = "SELECT user_password FROM ".$user_prefix."_users WHERE username='$username'";
            $result = $db->sql_query($sql);
            $row = $db->sql_fetchrow($result);
            $dbpass = $row[user_password];
        }
        if ($dbpass != $new_pass) {
            Header("Location: index.php?name=$module_name&stop=1");
			return;
        }
        $datekey = date("F j");
        $rcode = hexdec(md5($_SERVER[HTTP_USER_AGENT] . $sitekey . $random_num . $datekey));
        $code = substr($rcode, 2, 6);
        if (extension_loaded("gd") AND $code != $gfx_check AND ($gfx_chk == 2 OR $gfx_chk == 4 OR $gfx_chk == 5 OR $gfx_chk == 7)) {
            Header("Location: index.php?name=$module_name&stop=1");
            die();
        } else {
            docookie($setinfo[user_id], $username, $new_pass, $setinfo[storynum], $setinfo[ublockon], $setinfo[theme]);
            $uname = $_SERVER["REMOTE_ADDR"];
            $db->sql_query("DELETE FROM ".$prefix."_session WHERE uname='$uname' AND guest='1'");
			$db->sql_query("UPDATE ".$prefix."_users SET last_ip='$uname' WHERE username='$username'");
        }
        if ($pm_login != "") {
            Header("Location: index.php?name=Private_Messages&file=index&folder=inbox");
            exit;
        }
        if ($redirect == "" ) {
            Header("Location: index.php?name=Your_Account&op=userinfo&bypass=1&username=$username");
        } else if ($mode == "") {
            Header("Location: index.php?name=Forums&file=$forward");
        } else if ($t !="")  {
            Header("Location: index.php?name=Forums&file=$forward&mode=$mode&t=$t");
        } else {
            Header("Location: index.php?name=Forums&file=$forward&mode=$mode&f=$f");
        }
    } else {
        Header("Location: index.php?name=$module_name&stop=1");
    }
}

function edithome() {
    global $user, $userinfo, $Default_Theme, $cookie, $newsletter, $broadcast_msg, $user_news, $storyhome, $module_name, $pagetitle, $defis;
	$pagetitle = "$defis "._HOMECONFIG."";
    cookiedecode($user);
    getusrinfo($user);
    if ((is_user($user)) AND (strtolower($userinfo['username']) == strtolower($cookie[1])) AND ($userinfo['user_password'] == $cookie[2])) {
		include("header.php");
		title(""._HOMECONFIG."");
		OpenTable();
		nav();
		CloseTable();
		if($userinfo[theme]=="") {
			$userinfo[theme] = "$Default_Theme";
		}
		OpenTable();
		echo "<center>"._CHECKTHISOPTION."</center><hr>"
		."<form action=\"index.php?name=$module_name\" method=\"post\">"
		."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" align=\"center\">";
		if ($user_news == 1) {
			if ($userinfo[storynum] == 3) {
				$sel3 = "selected";
				$sel5 = "";
				$sel10 = "";
				$sel15 = "";
				$sel20 = "";
			} elseif ($userinfo[storynum] == 5) {
				$sel3 = "";
				$sel5 = "selected";
				$sel10 = "";
				$sel15 = "";
				$sel20 = "";
			} elseif ($userinfo[storynum] == 10) {
				$sel3 = "";
				$sel5 = "";
				$sel10 = "selected";
				$sel15 = "";
				$sel20 = "";
			} elseif ($userinfo[storynum] == 15) {
				$sel3 = "";
				$sel5 = "";
				$sel10 = "";
				$sel15 = "selected";
				$sel20 = "";
			} elseif ($userinfo[storynum] == 20) {
				$sel3 = "";
				$sel5 = "";
				$sel10 = "";
				$sel15 = "";
				$sel20 = "selected";
			}
			echo "<tr><td>"._NEWSINHOME.":</td><td>"
			."<select name=\"storynum\" style=\"width=300px\">"
			."<option value=\"3\" $sel3>"._NEWSINHOME." - 3</option>"
			."<option value=\"5\" $sel5>"._NEWSINHOME." - 5</option>"
			."<option value=\"10\" $sel10>"._NEWSINHOME." - 10</option>"
			."<option value=\"15\" $sel15>"._NEWSINHOME." - 15</option>"
			."<option value=\"20\" $sel20>"._NEWSINHOME." - 20</option>"
			."</select>";
		} else {
			echo "<input type=\"hidden\" name=\"storynum\" value=\"$storyhome\">";
		}
		if ($userinfo[ublockon] == 1) {
			$sel = "checked";
		}
		if ($broadcast_msg == 1) {
			if ($userinfo[broadcast] == 1) {
				$sel1 = "checked";
				$sel2 = "";
			} elseif ($userinfo[broadcast] == 0) {
				$sel1 = "";
				$sel2 = "checked";
			}
			echo "<tr><td>"._MESSAGEACTIVATE.":</td><td><input type=\"radio\" name=\"broadcast\" value=\"1\" $sel1>"._YES." &nbsp;&nbsp; <input type=\"radio\" name=\"broadcast\" value=\"0\" $sel2>"._NO."</td></tr>";
		} else {
			echo "<input type=\"hidden\" name=\"broadcast\" value=\"1\">";
		}
		echo "<tr><td>"._RECEIVENEWSLETTER.":</td><td>";
		if ($userinfo[newsletter] == 1) {
			echo " <input type=\"radio\" name=\"newsletter\" value=\"1\" checked>"._YES." &nbsp;&nbsp; <input type=\"radio\" name=\"newsletter\" value=\"0\">"._NO."";
		} elseif ($userinfo[newsletter] == 0) {
			echo " <input type=\"radio\" name=\"newsletter\" value=\"1\">"._YES." &nbsp;&nbsp; <input type=\"radio\" name=\"newsletter\" value=\"0\" checked>"._NO."";
		}
		echo "</td></tr>";
		echo "<tr><td>"._ACTIVATEPERSONAL.":</td><td><input type=\"checkbox\" name=\"ublockon\" $sel><br>"
        ."<tr><td>"._HOMECONFIG.":</td><td><textarea name=\"ublock\" cols=\"45\" rows=\"10\" style=\"width=300px\">$userinfo[ublock]</textarea></td></tr></table><br>"
        ."<center><input type=\"hidden\" name=\"username\" value=\"$userinfo[username]\">"
        ."<input type=\"hidden\" name=\"user_id\" value=\"$userinfo[user_id]\">"
        ."<input type=\"hidden\" name=\"op\" value=\"savehome\">"
        ."<input type=\"submit\" value=\""._SAVECHANGES."\"></form></center>";
		CloseTable();
		include("footer.php");
    } else {
		main($user);
	}
}

function savehome($user_id, $username, $storynum, $ublockon, $ublock, $broadcast, $newsletter) {
    global $user, $cookie, $userinfo, $user_prefix, $db, $module_name;
    cookiedecode($user);
    $check = $cookie[1];
    $check2 = $cookie[2];
    $sql = "SELECT user_id, user_password FROM ".$user_prefix."_users WHERE username='$check'";
    $result = $db->sql_query($sql);
    $row = $db->sql_fetchrow($result);
    $vuid = intval($row[user_id]);
    $ccpass = $row[user_password];
    if (($user_id == $vuid) AND ($check2 == $ccpass)) {
        if (isset($ublockon)) $ublockon=1; else $ublockon=0;
        $ublock = FixQuotes($ublock);
        $db->sql_query("UPDATE ".$user_prefix."_users SET storynum='$storynum', ublockon='$ublockon', ublock='$ublock', broadcast='$broadcast', newsletter='$newsletter' WHERE user_id='$user_id'");
        getusrinfo($user);
        docookie($userinfo[user_id], $userinfo[username], $userinfo[user_password], $userinfo[storynum], $userinfo[ublockon], $userinfo[theme]);
        Header("Location: index.php?name=$module_name&op=edithome");
    }
}

function chgtheme() {
    global $user, $userinfo, $Default_Theme, $cookie, $module_name, $pagetitle, $defis;
	$pagetitle = "$defis "._THEMESELECTION."";
    cookiedecode($user);
    getusrinfo($user);
    if ((is_user($user)) AND (strtolower($userinfo['username']) == strtolower($cookie[1])) AND ($userinfo['user_password'] == $cookie[2])) {
		include("header.php");
		title(""._THEMESELECTION."");
		OpenTable();
		nav();
		CloseTable();
		OpenTable();
		echo "<center>"._THEMETEXT."</center><hr>"
		."<form action=\"index.php?name=$module_name\" method=\"post\">"
        ."<center>"._SELECTTHEME.": <select name=\"theme\">";
		$handle = opendir('themes');
		while ($file = readdir($handle)) {
			if ((!ereg("[.]",$file) AND file_exists("themes/$file/index.php")) ) {
				$themelist .= "$file ";
			}
		}
		closedir($handle);
		$themelist = explode(" ", $themelist);
		sort($themelist);
		for ($i=0; $i < sizeof($themelist); $i++) {
            if($themelist[$i] != "" && $themelist[$i] != "Admin") {
				echo "<option value=\"$themelist[$i]\" ";
				if((($userinfo[theme]=="") && ($themelist[$i]=="$Default_Theme")) || ($userinfo[theme]==$themelist[$i])) echo "selected";
				echo ">$themelist[$i]\n";
			}
		}
		if ($userinfo[theme]=="") $userinfo[theme] = "$Default_Theme";
		echo "</select><br><br>"
        ."<input type=\"hidden\" name=\"user_id\" value=\"$userinfo[user_id]\">"
        ."<input type=\"hidden\" name=\"op\" value=\"savetheme\">"
        ."<input type=\"submit\" value=\""._SAVECHANGES."\"></form>";
		CloseTable();
		include("footer.php");
    } else {
        main($user);
    }
}

function savetheme($user_id, $theme) {
    global $user, $cookie, $userinfo, $user_prefix, $db, $module_name;
    cookiedecode($user);
    $check = $cookie[1];
    $check2 = $cookie[2];
    $theme_error = "";
    $sql = "SELECT user_id, user_password FROM ".$user_prefix."_users WHERE username='$check'";
    $result = $db->sql_query($sql);
    $row = $db->sql_fetchrow($result);
    $vuid = intval($row[user_id]);
    $ccpass = $row[user_password];
    if (($user_id == $vuid) AND ($check2 == $ccpass)) {
        $db->sql_query("UPDATE ".$user_prefix."_users SET user_style='$theme_id' WHERE user_id='$user_id'");
        $db->sql_query("UPDATE ".$user_prefix."_users SET theme='$theme' WHERE user_id='$user_id'");
        getusrinfo($user);
        docookie($userinfo[user_id], $userinfo[username], $userinfo[user_password], $userinfo[storynum], $userinfo[ublockon], $userinfo[theme]);
        Header("Location: index.php?name=$module_name&theme=$theme");
    }
}

function broadcast($the_message, $who) {
	global $prefix, $db, $broadcast_msg, $module_name, $cookie, $user, $userinfo;
    cookiedecode($user);
    getusrinfo($user);
    if ((is_user($user)) AND (strtolower($who) == strtolower($cookie[1])) AND (strtolower($userinfo['username']) == strtolower($cookie[1])) AND ($userinfo['user_password'] == $cookie[2])) {
		$who = $cookie[1];
		if ($broadcast_msg == 1) {
			include("header.php");
			title(""._BROADCAST."");
			OpenTable();
			$who = htmlspecialchars(substr($who, 0, 25));
			$numrows = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_public_messages WHERE who='$who'"));
			$the_message = FixQuotes(filter_text($the_message, "nohtml"));
			if ($the_message != "" AND $numrows == 0) {
				$the_time = time();
				$db->sql_query("INSERT INTO ".$prefix."_public_messages VALUES (NULL, '$the_message', '$the_time', '$who')");
				update_points(20);
				echo "<center>"._BROADCASTSENT."<br><br>[ <a href=\"index.php?name=$module_name\">"._RETURNPAGE."</a> ]</center>";
			} else {
				echo "<center>"._BROADCASTNOTSENT."<br><br>[ <a href=\"index.php?name=$module_name\">"._RETURNPAGE."</a> ]</center>";
			}
			CloseTable();
			include("footer.php");
		} else {
			main($user);
		}
    }
}

switch($op) {
	case "logout":
	logout();
	break;

    case "broadcast":
	broadcast($the_message, $who);
	break;

    case "lost_pass":
	lost_pass();
	break;

    case "confirmNewUser":
	confirmNewUser($username, $user_email, $rulescheck, $user_password, $user_password2, $random_num, $gfx_check);
	break;

    case "finishNewUser":
	finishNewUser($username, $user_email, $rulescheck, $user_password, $random_num, $gfx_check);
	break;

    case "mailpasswd":
	mail_password($username, $code);
	break;

    case "userinfo":
	userinfo($username, $bypass, $hid, $url);
	break;

    case "login":
	login($username, $user_password, $redirect, $mode, $f, $t, $random_num, $gfx_check);
	break;

    case "edithome":
	edithome();
	break;

	case "chgtheme":
	chgtheme();
	break;

    case "savehome":
	savehome($user_id, $username, $storynum, $ublockon, $ublock, $broadcast, $newsletter);
	break;

    case "savetheme":
	savetheme($user_id, $theme);
	break;

    case "pass_lost":
	pass_lost();
	break;

    case "new_user":
	new_user();
	break;

    case "activate":
	activate($username, $check_num);
	break;

    default:
	main($user);
	break;
}
?>